> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Subscription

> Get customer subscription



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml get /recurring/billingId/TPR2181t55PER542RPP1U1W4391WO
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /recurring/billingId/TPR2181t55PER542RPP1U1W4391WO:
    get:
      tags:
        - RECURRENT
      summary: Get a Subscription
      description: Get customer subscription
      operationId: GetaSubscription
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSubscriptionResponse'
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/400Response'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response1:
                  $ref: '#/components/examples/404Response1'
                400Response2:
                  $ref: '#/components/examples/404Response2'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
      deprecated: false
      security:
        - Bearer: []
components:
  schemas:
    GetSubscriptionResponse:
      title: GetSubscriptionResponse
      type: object
      example:
        status: SUCCESS
        data:
          subscriptions:
            publicKey: SBTESTPUBK_9sN3TuLgW6a9redEfY48cKKkUa09Pz2u
            amount: 100
            country: NG
            customerId: SBT4d26d47dcb33f9430507
            cardName: Kolade Samuel
            cardNumber: 5123-45xx-xxxx-0008
            plan: c6d4096c8244b5e0dbda
            status: INACTIVE
            billingId: TPR2181t55PER542RPP1U1W4391WO
            authorizationCode: 5f818a9f1191c423446b
            startDate: '2020-02-25T00:00:00.000Z'
            createdAt: 1601385265000
          code: '00'
          message: Successful
  examples:
    400Response:
      summary: An example of 400 response payload
      value:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
    404Response1:
      summary: An example of 404 response payload
      value:
        message: Not Found
        error: The server can not find the requested resource
    404Response2:
      summary: An example of 404 response payload
      value:
        message: Subscription Not Found
        error: NOT_FOUND
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.